/* Global public functions*/
/**/
/* YB*/
/*////////////////////////////*/
#ifndef _CTL_GLOBAL_PUBLIC_FUNCTIONS_
#define _CTL_GLOBAL_PUBLIC_FUNCTIONS_
 
#include "ACP_Base.h"		/*for CPA_EXPORT*/
 
#include "CTL\Others\CTL_ClBk.hpp"
 
void CPA_EXPORT CTL_fn_vSetDefaultCallBackFunctionWhenControlMustBeDisplayed(CTL_td_p_fn_bControlCanBeDisplayed _p_fnCallBack);
void CPA_EXPORT CTL_fn_vSetDefaultCallBackFunctionWhenDataHasChanged(CTL_td_p_fn_vCallBackWhenDataHasChanged _p_fnCallBack);
 
void CPA_EXPORT CTL_fn_vSetDefaultCallBackFunctionWhenStaticIsClicked(CTL_td_p_fn_vStaticHasBeenClicked _p_fnDefaultCallBack_StaticHasBeenClicked);
void CPA_EXPORT CTL_fn_vSetDefaultCallBackFunctionToGetStaticColor(CTL_tdp_fn_vGetColor _p_fnDefaultCallBack_StaticColor);
 
CString CPA_EXPORT CTL_fn_csGetVersion();
 
/*For TUT*/
void CPA_EXPORT CTL_fn_vSetModuleInfo(CString _csTAG,
																			CString _csSecondaryInfo = "");
void CPA_EXPORT CTL_fn_vResetModuleInfo();
 
CString CPA_EXPORT CTL_fn_csGetCurrentTAG();
CString CPA_EXPORT CTL_fn_csGetCurrentSecondaryInfo();
 
/*Get/Set memory functions*/
void CPA_EXPORT CTL_fn_vSetMemory(void *pvDest, 
																	void *pvSource, 
																	char cDataLength);
 
void CPA_EXPORT CTL_fn_vGetMemory(void *pvSource, 
																	void *pvDest,
																	char cDataLength);
 
/*Returns 'CTL_g_lCurrentId', and adds one to it*/
/*.... Will be improved ....*/
long CPA_EXPORT CTL_fn_lGetNextAvailableIDForControl();
 
/*Returns the last returned ID*/
long CPA_EXPORT CTL_fn_lGetCurrentIDForControl();
 
#endif /*_CTL_GLOBAL_PUBLIC_FUNCTIONS_*/
